Connect a repository and deploy
curl --request POST \
--url https://orbitlab.dev/api/v1/services/{id}/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"repoUrl": "<string>",
"branch": "<string>",
"rootDir": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"envVars": {},
"githubInstallationId": 123,
"githubRepoId": 123,
"githubRepoOwner": "<string>",
"githubRepoName": "<string>"
}
'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/configure"
payload = {
"name": "<string>",
"repoUrl": "<string>",
"branch": "<string>",
"rootDir": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"envVars": {},
"githubInstallationId": 123,
"githubRepoId": 123,
"githubRepoOwner": "<string>",
"githubRepoName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
repoUrl: '<string>',
branch: '<string>',
rootDir: '<string>',
buildCmd: '<string>',
startCmd: '<string>',
envVars: {},
githubInstallationId: 123,
githubRepoId: 123,
githubRepoOwner: '<string>',
githubRepoName: '<string>'
})
};
fetch('https://orbitlab.dev/api/v1/services/{id}/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://orbitlab.dev/api/v1/services/{id}/configure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'repoUrl' => '<string>',
'branch' => '<string>',
'rootDir' => '<string>',
'buildCmd' => '<string>',
'startCmd' => '<string>',
'envVars' => [
],
'githubInstallationId' => 123,
'githubRepoId' => 123,
'githubRepoOwner' => '<string>',
'githubRepoName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://orbitlab.dev/api/v1/services/{id}/configure"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://orbitlab.dev/api/v1/services/{id}/configure")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://orbitlab.dev/api/v1/services/{id}/configure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Services
Connect a repository and deploy
For a paid app service still in pending: creates the project and triggers the first deploy.
CLI: orbitlab services setup [service] --repo <url>
POST
/
v1
/
services
/
{id}
/
configure
Connect a repository and deploy
curl --request POST \
--url https://orbitlab.dev/api/v1/services/{id}/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"repoUrl": "<string>",
"branch": "<string>",
"rootDir": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"envVars": {},
"githubInstallationId": 123,
"githubRepoId": 123,
"githubRepoOwner": "<string>",
"githubRepoName": "<string>"
}
'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/configure"
payload = {
"name": "<string>",
"repoUrl": "<string>",
"branch": "<string>",
"rootDir": "<string>",
"buildCmd": "<string>",
"startCmd": "<string>",
"envVars": {},
"githubInstallationId": 123,
"githubRepoId": 123,
"githubRepoOwner": "<string>",
"githubRepoName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
repoUrl: '<string>',
branch: '<string>',
rootDir: '<string>',
buildCmd: '<string>',
startCmd: '<string>',
envVars: {},
githubInstallationId: 123,
githubRepoId: 123,
githubRepoOwner: '<string>',
githubRepoName: '<string>'
})
};
fetch('https://orbitlab.dev/api/v1/services/{id}/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://orbitlab.dev/api/v1/services/{id}/configure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'repoUrl' => '<string>',
'branch' => '<string>',
'rootDir' => '<string>',
'buildCmd' => '<string>',
'startCmd' => '<string>',
'envVars' => [
],
'githubInstallationId' => 123,
'githubRepoId' => 123,
'githubRepoOwner' => '<string>',
'githubRepoName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://orbitlab.dev/api/v1/services/{id}/configure"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://orbitlab.dev/api/v1/services/{id}/configure")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://orbitlab.dev/api/v1/services/{id}/configure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"repoUrl\": \"<string>\",\n \"branch\": \"<string>\",\n \"rootDir\": \"<string>\",\n \"buildCmd\": \"<string>\",\n \"startCmd\": \"<string>\",\n \"envVars\": {},\n \"githubInstallationId\": 123,\n \"githubRepoId\": 123,\n \"githubRepoOwner\": \"<string>\",\n \"githubRepoName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Autorisations
bearerAuthsessionCookie
En-têtes
Corps
application/json
Réponse
success and serviceId.
The response is of type object.
Cette page vous a-t-elle été utile ?